Bug 705069 - Curl command output displays system facts and private key along with owner inf
Curl command output displays system facts and private key along with owner inf
Status: CLOSED NOTABUG
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bryan Kearney
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-05-16 10:51 EDT by spandey
Modified: 2015-05-14 11:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-02 13:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2011-05-16 10:51:56 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
2/2

Prerequisite:
candlepin : on-premises
client : rhel 6 

steps to repro :  

Register client to candlepin using testuser1
execute following command on client console 
curl -k -u admin:admin https://on-premises url :8443/candlepin/consumers/consumer ident

Expected Result : 
Proper message should display with owner info of registered user 

Actual Result : 
Got Long message with client facts info and private key 

we already have command for facts so we dont need this .
And it should not display private key
Comment 1 spandey 2011-05-16 10:53:24 EDT
http://pastebin.test.redhat.com/49659
Comment 2 Devan Goodwin 2011-08-02 13:35:40 EDT
Curl is not part of subscription-manager... it is a tool for making straight HTTP requests, which is a common tool when you need to debug and test a REST API. Running curl against the API is returning straight JSON, which subscription-manager uses to work properly. It is not anything a user should ever have to do.

I am confused as to exactly what command you are running, are you literally running: "curl -k -u admin:admin https://mymachine:8443/candlepin/consumers/consumer ident"? Is "ident" meant to be "identity"? This is a subcommand for subscription-manager, not curl... ident here is probably quite meaningless...

It also supposed to be "consumers" in the URL, not "consumer".

Additionally the pastebin included is empty.

If you run something like: "curl -k -u admin:admin https://localhost:8443/candlepin/consumers/8c56238b-2238-45e3-a84b-b632445aca64"

You will see the owner info is present in that JSON.

The private key information is required here, it is how the client actually gets it's private key.

But again, curl is not part of subscription-manager, and If I had to guess I'd say you're probably looking for "subscription-manager identity"?

Closing as I'm quite sure this is notabug.

Note You need to log in before you can comment on or make changes to this bug.